Bug 661329 - subscription-manager facts should not require registration
Summary: subscription-manager facts should not require registration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Justin Harris
QA Contact: J.C. Molet
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-08 15:22 UTC by J.C. Molet
Modified: 2013-07-04 21:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 0 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description J.C. Molet 2010-12-08 15:22:45 UTC
Description of problem:

subscription-manager gui allows me to query the local system's facts without being registered, but the command line interface does not.


Version-Release number of selected component (if applicable):

[root@jsefler-onprem01 ~]# rpm -qa | grep subscription-manager
subscription-manager-0.93.2-1.git.91.7f89664.fc14.x86_64
subscription-manager-gnome-0.93.2-1.git.91.7f89664.fc14.x86_64


How reproducible:
always

Steps to Reproduce:
1. Find a machine with subscription manager installed.
2. run the command 'subscription-manager facts' without being registered
  
Actual results:

[root@mgmt5 ~]# subscription-manager facts
Consumer not registered. Please register using --username and --password


Expected results:
The command displays your system facts.

Additional info:
The gui allows this, and there should be parity.

Comment 1 Justin Harris 2010-12-13 15:09:40 UTC
Commit:  5c0b4ad66dcf0aca8716de66736c03d953d2655b

Comment 2 J.C. Molet 2010-12-13 19:04:41 UTC
works now:


[root@jmolet-vm1 ~]# subscription-manager facts --list
cpu.architecture: x86_64
cpu.core(s)_per_socket: 1
cpu.cpu(s): 2
cpu.cpu_family: 6
cpu.cpu_mhz: 2300.022
cpu.cpu_op-mode(s): 64-bit
...

Comment 3 J.C. Molet 2010-12-13 19:13:56 UTC
Version:
subscription-manager-gnome-0.93.3-1.git.19.7e709b6.fc14.x86_64
subscription-manager-0.93.3-1.git.19.7e709b6.fc14.x86_64

Test:

[root@jmolet-vm1 ~]# subscription-manager identity
Consumer not registered. Please register using --username and --password
[root@jmolet-vm1 ~]# subscription-manager facts --list
cpu.architecture: x86_64
cpu.core(s)_per_socket: 1
cpu.cpu(s): 2
cpu.cpu_family: 6
...

Comment 4 John Sefler 2010-12-13 19:15:16 UTC
moving to VERIFIED on behalf of jmolet...

Comment 5 errata-xmlrpc 2011-05-19 13:38:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.